# Operations

## notify

> This method forces notification of a given transaction.

```json
{"openapi":"3.0.1","info":{"title":"GBDS API","version":"5.1.16"},"servers":[{"url":"http://<ip>:8085/gbds/v2"}],"paths":{"/operations/notify":{"post":{"description":"This method forces notification of a given transaction.","tags":["operations"],"operationId":"notify","summary":"notify","requestBody":{"content":{"application/json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/NotifyRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"500":{"description":"Internal Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalError"}}}}},"parameters":[]}}},"components":{"schemas":{"NotifyRequest":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/JsonNotification"}}},"JsonNotification":{"type":"object","properties":{"operation":{"description":"Operation type of the transaction that notification is related to.","type":"string","enum":["UNKNOWN","CONNECT","DISCONNECT","AUTHENTICATE","ENROLL","EXTERNAL_AUTHENTICATE","BATCH_ENROLL","REGISTER_SEARCH","SEARCH","DELETE","GET_RESULT","CLOSE_SESSION","GET_PERSON","FILTER","COUNT_ANOMALIES","FIND_ANOMALIES","GET_ANOMALY","ASSIGN_ANOMALY","UNASSIGN_ANOMALY","TRUST_ENROLL","GET_TRANSACTION","CHANGE_PRIORITY","ADD_TO_REFERENCE","REMOVE_FROM_REFERENCE","REMOVE_KEYS","GET_PEOPLE_TRANSACTIONS","ANOMALY_ENROLL","GET_EXCEPTION_RESULT","QUALITY_ANALYSIS","FILTER_TRANSACTION","REGISTER_ENROLL","STOP_SERVICE","REGISTER_UL_BIOMETRIC","REMOVE_UL_BIOMETRIC","UPDATE_PERSON_BIOMETRIC","DISABLE_PERSON_TRANSACTION","TREAT_EXCEPTION","TREAT_ANOMALY"]},"tguid":{"description":"Transaction's global unique ID of the transaction that notification is related to.","type":"string"},"status":{"description":"Current status of the transaction that notification is related to.","type":"string"},"sender":{"description":"The notification sender.","type":"string"},"uguid":{"description":"Global unique ID of an unsolved latent. Only used when the notification is related to a transaction that treats an unsolved latent.","type":"string"},"additionalData":{"description":"Map used to add custom information inside the notification that will be delivered to notifier endpoint.","type":"object","additionalProperties":{"type":"string"}},"relatedTransactions":{"description":"List of transactions related to the main transaction that notification is related to.","type":"array","items":{"$ref":"#/components/schemas/PersonRelatedTransaction"}}}},"PersonRelatedTransaction":{"type":"object","properties":{"status":{"description":"Status of the transaction related to the main transaction.","type":"string"},"tguid":{"description":"Transaction's global unique ID of the transaction related to the main transaction.","type":"string"},"pguid":{"description":"Person's global unique ID of the person related to the transaction related to the main transaction.","type":"string"},"operation":{"description":"Operation type of the transaction related to the main transaction.","type":"string","enum":["UNKNOWN","CONNECT","DISCONNECT","AUTHENTICATE","ENROLL","EXTERNAL_AUTHENTICATE","BATCH_ENROLL","REGISTER_SEARCH","SEARCH","DELETE","GET_RESULT","CLOSE_SESSION","GET_PERSON","FILTER","COUNT_ANOMALIES","FIND_ANOMALIES","GET_ANOMALY","ASSIGN_ANOMALY","UNASSIGN_ANOMALY","TRUST_ENROLL","GET_TRANSACTION","CHANGE_PRIORITY","ADD_TO_REFERENCE","REMOVE_FROM_REFERENCE","REMOVE_KEYS","GET_PEOPLE_TRANSACTIONS","ANOMALY_ENROLL","GET_EXCEPTION_RESULT","QUALITY_ANALYSIS","FILTER_TRANSACTION","REGISTER_ENROLL","STOP_SERVICE","REGISTER_UL_BIOMETRIC","REMOVE_UL_BIOMETRIC","UPDATE_PERSON_BIOMETRIC","DISABLE_PERSON_TRANSACTION","TREAT_EXCEPTION","TREAT_ANOMALY"]}}},"ValidationError":{"type":"object","properties":{"type":{"description":"Type of the Error","type":"string","enum":["VALIDATION_ERROR"]},"code":{"description":"Internal error code.","type":"string","enum":["MISSING_PGUID","MISSING_PERSON","MISSING_BIOMETRIC","INVALID_PARAMETER_COMBINATION","MISSING_REQUIRED_QUERY_PARAMETER","MISSING_REQUIRED_ENTITY_ATTRIBUTE","UNKNOWN_ENTITY_ATTRIBUTE","QUERY_PARAMETER_OUT_OF_RANGE","PARAMETER_OUT_OF_RANGE","PGUID_IS_EMPTY","FORBIDDEN_ATTRIBUTE_SET","INVALID_TOKEN_GRANT_SPEC","INVALID_ENUM_VALUE","MALFORMED_JSON","INVALID_JSON_ATTRIBUTE_VALUE","INVALID_URL_ATTRIBUTE_VALUE","UNKNOWN_REQUEST_READ_ERROR","PAGE_NOT_FOUND","UNSUPPORTED_HTTP_METHOD"]},"message":{"description":"Message detailing the nature of the Error","type":"string"},"meta":{"description":"Contains extra information about the API call.","type":"object"}}},"InternalError":{"type":"object","properties":{"type":{"description":"Type of the Error","type":"string","enum":["INTERNAL_ERROR"]},"code":{"description":"Internal error code.","type":"string","enum":["DRIVER_OFFLINE","CREDENTIAL_SERVER_CONNECTION_ERROR","CLIENT_NOT_INITIALIZE","TRUSTED_ENROLL_WITH_PENDING_STATUS","SUBJECT_NOT_SET","UNKNOWN"]},"message":{"description":"Message detailing the nature of the Error","type":"string"},"meta":{"description":"Contains extra information about the API call.","type":"object"}}}}}}
```

## ping

> This method is used to check the API availability.

```json
{"openapi":"3.0.1","info":{"title":"GBDS API","version":"5.1.16"},"servers":[{"url":"http://<ip>:8085/gbds/v2"}],"paths":{"/operations/ping":{"get":{"description":"This method is used to check the API availability.","tags":["operations"],"operationId":"ping","summary":"ping","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"properties":{"body":{"type":"string","enum":["pong!"]}}}}}}},"parameters":[]}}}}
```

## getServices

> Returns the list of the system's internal services and their statuses (active, stopped, etc.) to enable operational monitoring.

```json
{"openapi":"3.0.1","info":{"title":"GBDS API","version":"5.1.16"},"servers":[{"url":"http://<ip>:8085/gbds/v2"}],"paths":{"/operations/services":{"get":{"tags":["operations"],"operationId":"servicesStatuses","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServicesStatusResponse"}}}}},"description":"Returns the list of the system's internal services and their statuses (active, stopped, etc.) to enable operational monitoring.","summary":"getServices","parameters":[]}}},"components":{"schemas":{"ServicesStatusResponse":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/Data"},"httpResponse":{"$ref":"#/components/schemas/HttpResponse"}}},"Data":{"type":"object","properties":{"api":{"$ref":"#/components/schemas/VersionInfo"},"searchEngine":{"$ref":"#/components/schemas/VersionInfo"}}},"VersionInfo":{"type":"object","properties":{"version":{"type":"string"},"build":{"type":"string"},"apiId":{"type":"string"},"apiType":{"type":"string","enum":["LEADER","RUNNER"]}}},"HttpResponse":{"type":"object","properties":{"httpCode":{"type":"integer","format":"int32"},"body":{"type":"string"}}}}}}
```

## Stop service

> Sends a command to stop one or more services indicated in the request body, enabling maintenance or controlled reboot.

```json
{"openapi":"3.0.1","info":{"title":"GBDS API","version":"5.1.16"},"servers":[{"url":"http://<ip>:8085/gbds/v2"}],"paths":{"/operations/services/stop":{"post":{"tags":["operations"],"operationId":"stopServices","requestBody":{"content":{"application/json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/StopServicesValidatedRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}}},"description":"Sends a command to stop one or more services indicated in the request body, enabling maintenance or controlled reboot.","summary":"Stop service","parameters":[]}}},"components":{"schemas":{"StopServicesValidatedRequest":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/Data"}}},"Data":{"type":"object","properties":{"api":{"$ref":"#/components/schemas/VersionInfo"},"searchEngine":{"$ref":"#/components/schemas/VersionInfo"}}},"VersionInfo":{"type":"object","properties":{"version":{"type":"string"},"build":{"type":"string"},"apiId":{"type":"string"},"apiType":{"type":"string","enum":["LEADER","RUNNER"]}}}}}}
```

## Publish operation

> Publishes an operational event or notification in the system, using the JSON payload to specify title, message and recipients.

```json
{"openapi":"3.0.1","info":{"title":"GBDS API","version":"5.1.16"},"servers":[{"url":"http://<ip>:8085/gbds/v2"}],"paths":{"/operations/notification":{"post":{"tags":["operations"],"operationId":"notification","requestBody":{"content":{"application/json;charset=UTF-8":{"schema":{"$ref":"#/components/schemas/JsonNotification"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}}},"description":"Publishes an operational event or notification in the system, using the JSON payload to specify title, message and recipients.","summary":"Publish operation","parameters":[]}}},"components":{"schemas":{"JsonNotification":{"type":"object","properties":{"operation":{"description":"Operation type of the transaction that notification is related to.","type":"string","enum":["UNKNOWN","CONNECT","DISCONNECT","AUTHENTICATE","ENROLL","EXTERNAL_AUTHENTICATE","BATCH_ENROLL","REGISTER_SEARCH","SEARCH","DELETE","GET_RESULT","CLOSE_SESSION","GET_PERSON","FILTER","COUNT_ANOMALIES","FIND_ANOMALIES","GET_ANOMALY","ASSIGN_ANOMALY","UNASSIGN_ANOMALY","TRUST_ENROLL","GET_TRANSACTION","CHANGE_PRIORITY","ADD_TO_REFERENCE","REMOVE_FROM_REFERENCE","REMOVE_KEYS","GET_PEOPLE_TRANSACTIONS","ANOMALY_ENROLL","GET_EXCEPTION_RESULT","QUALITY_ANALYSIS","FILTER_TRANSACTION","REGISTER_ENROLL","STOP_SERVICE","REGISTER_UL_BIOMETRIC","REMOVE_UL_BIOMETRIC","UPDATE_PERSON_BIOMETRIC","DISABLE_PERSON_TRANSACTION","TREAT_EXCEPTION","TREAT_ANOMALY"]},"tguid":{"description":"Transaction's global unique ID of the transaction that notification is related to.","type":"string"},"status":{"description":"Current status of the transaction that notification is related to.","type":"string"},"sender":{"description":"The notification sender.","type":"string"},"uguid":{"description":"Global unique ID of an unsolved latent. Only used when the notification is related to a transaction that treats an unsolved latent.","type":"string"},"additionalData":{"description":"Map used to add custom information inside the notification that will be delivered to notifier endpoint.","type":"object","additionalProperties":{"type":"string"}},"relatedTransactions":{"description":"List of transactions related to the main transaction that notification is related to.","type":"array","items":{"$ref":"#/components/schemas/PersonRelatedTransaction"}}}},"PersonRelatedTransaction":{"type":"object","properties":{"status":{"description":"Status of the transaction related to the main transaction.","type":"string"},"tguid":{"description":"Transaction's global unique ID of the transaction related to the main transaction.","type":"string"},"pguid":{"description":"Person's global unique ID of the person related to the transaction related to the main transaction.","type":"string"},"operation":{"description":"Operation type of the transaction related to the main transaction.","type":"string","enum":["UNKNOWN","CONNECT","DISCONNECT","AUTHENTICATE","ENROLL","EXTERNAL_AUTHENTICATE","BATCH_ENROLL","REGISTER_SEARCH","SEARCH","DELETE","GET_RESULT","CLOSE_SESSION","GET_PERSON","FILTER","COUNT_ANOMALIES","FIND_ANOMALIES","GET_ANOMALY","ASSIGN_ANOMALY","UNASSIGN_ANOMALY","TRUST_ENROLL","GET_TRANSACTION","CHANGE_PRIORITY","ADD_TO_REFERENCE","REMOVE_FROM_REFERENCE","REMOVE_KEYS","GET_PEOPLE_TRANSACTIONS","ANOMALY_ENROLL","GET_EXCEPTION_RESULT","QUALITY_ANALYSIS","FILTER_TRANSACTION","REGISTER_ENROLL","STOP_SERVICE","REGISTER_UL_BIOMETRIC","REMOVE_UL_BIOMETRIC","UPDATE_PERSON_BIOMETRIC","DISABLE_PERSON_TRANSACTION","TREAT_EXCEPTION","TREAT_ANOMALY"]}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.griaule.com/apis/gbds-5/operations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
